@ECHO OFF
CLS
ECHO - Call Router V1.3 RingMate Demo -
ECHO   For use with Unregistered version
ECHO.
ECHO This batch file demonstrates how Call Router V1.3
ECHO may be used in conjunction with "RingMate" service...
ECHO.
ECHO  Note that in the example here it is assumed that you have RingMate
ECHO  service active on your telephone. RingMate is a service that your
ECHO  telephone company offers. When used with this service, Call Router
ECHO  will enable you to provide a separate "data" or "fax" number to
ECHO  customers, associates, etc. without an additional phone line
ECHO  hookup. Consult your local telephone company for information on
ECHO  the availability and pricing of this service.
ECHO.
ECHO Call Router V1.3 demonstrates only some of the features currently
ECHO available in the registered-user version. Please consult the
ECHO documentation for other features and ordering information.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
PAUSE

IF "%1" == "" goto Usage

:Start
REM Start program with COM port taken from command-line.
REM Call Router v1.3 will default to 2400 baud and answer in two rings.
REM The 'rm' parameter indicates that RingMate detection is needed.
CALLROUT %1 rm

REM Act according to the ERRORLEVEL set on program exit...
REM Short Ring - Branch to a routine to start a FAX program, perhaps.
IF ERRORLEVEL 4 goto FaxProgram

REM Long Ring - Regular number dialed, used for voice in this case, reload.
IF ERRORLEVEL 3 goto Start

REM Program timed out... caller hung up before start of ring 3.
IF ERRORLEVEL 2 goto Start

REM Program error condition!
IF ERRORLEVEL 1 goto Error

REM Program ended normally...
IF ERRORLEVEL 0 goto End

:Usage
CLS
ECHO.
ECHO Please specify which COM port to use.
ECHO Correct usage is: RMDEMO n
ECHO            where: n = 1,2,3, or 4 (COM port to open)
ECHO.
goto End

:FaxProgram
ECHO.
ECHO Run an External program Here!
ECHO.
PAUSE
goto Start

:Error
ECHO.
ECHO Call Router ended with an error!
ECHO.

:End
